import { HTMLAttributes, Ref } from 'vue-demi';
import { Plot as BasePlot } from '@antv/g2plot';
interface Options {
    [x: string]: any;
}
export interface Plot<C extends Options> extends BasePlot<C> {
    new (container: HTMLElement, config: C): BasePlot<C>;
}
declare type PickedAttrs = 'class' | 'style';
export interface BaseChartProps<C extends Options> extends Pick<HTMLAttributes, PickedAttrs> {
    chart: any;
    chartRef?: Ref<BasePlot<C> | null>;
}
interface ChartOptions {
    data: any[];
    config: any;
}
export interface BaseChartRawBindings<C extends Options> {
    plot: BasePlot<C>;
    config: C;
    data: any[];
    getChartConfig: () => ChartOptions;
}
declare const BaseChart: import("vue-demi").DefineComponent<BaseChartProps<any>, BaseChartRawBindings<any>, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
    chart: any;
} & {
    style?: string | import("vue-demi").CSSProperties | undefined;
    chartRef?: Ref<BasePlot<any> | null> | undefined;
}>, {
    class: any;
    chart: any;
}>;
export default BaseChart;
